Bug 190225 - (hostnameSolaris) Use check-hostname on Solaris for setup
Use check-hostname on Solaris for setup
Product: 389
Classification: Community
Component: Install/Uninstall (Show other bugs)
sparc Linux
medium Severity medium
: ---
: ---
Assigned To: Nathan Kinder
Chandrasekar Kannan
Depends On:
Blocks: 152373 240316
  Show dependency treegraph
Reported: 2006-04-28 17:46 EDT by Rich Megginson
Modified: 2015-01-04 18:20 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-08-01 09:39:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Rich Megginson 2006-04-28 17:46:15 EDT
Rob gives us this:

On Solaris I'm using this instead. It already provides a program that REALLY
jumps through hoops to get the hostname (checks NIS, DNS, local files, etc), so
I'm going to use that instead. I use it in my script like this:

/usr/lib/mail/sh/check-hostname | awk 'BEGIN { FS=" " } { if ($3 == "OK:") {
print $7 } }'

We should use this for any setup type code that needs the FQDN or hostname.
Comment 1 Rob Crittenden 2006-05-01 08:36:05 EDT
I should point out that this is in the package SUNWsndmu

Note You need to log in before you can comment on or make changes to this bug.